"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.databaseFactory = void 0;
const orm_1 = require("@deepkit/orm");
const postgres_adapter_1 = require("../src/postgres-adapter");
const databaseFactory = async (entities) => {
    const adapter = new postgres_adapter_1.PostgresDatabaseAdapter({ host: 'localhost', database: 'postgres', user: 'postgres' });
    const database = new orm_1.Database(adapter);
    if (entities)
        database.registerEntity(...entities);
    await adapter.createTables([...database.entities]);
    return database;
};
exports.databaseFactory = databaseFactory;
//# sourceMappingURL=factory.js.map