"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const pg_1 = __importDefault(require("pg"));
globals_1.test('count', async () => {
    const pool = new pg_1.default.Pool({
        host: 'localhost',
        database: 'postgres',
        user: 'postgres',
    });
    pg_1.default.types.setTypeParser(1700, parseFloat);
    pg_1.default.types.setTypeParser(20, BigInt);
    BigInt.prototype.toJSON = function () {
        return this.toString();
    };
    const connection = await pool.connect();
    {
        const count = (await connection.query('SELECT 1.55 as count')).rows[0].count;
        globals_1.expect(count).toBe(1.55);
    }
    {
        const count = (await connection.query('SELECT COUNT(*) as count FROM (select 1) as tmp')).rows[0].count;
        globals_1.expect(count).toBe(1n);
    }
});
//# sourceMappingURL=postgres.spec.js.map