import { Column, DefaultPlatform, Index, SqlPlaceholderStrategy, Table } from '@deepkit/sql';
import { ClassSchema, PropertySchema } from '@deepkit/type';
import { PostgresSchemaParser } from './postgres-schema-parser';
import { PostgreSQLFilterBuilder } from './sql-filter-builder';
export declare class PostgresPlaceholderStrategy extends SqlPlaceholderStrategy {
    getPlaceholder(): string;
}
export declare class PostgresPlatform extends DefaultPlatform {
    protected defaultSqlType: string;
    readonly serializer: {
        readonly name: string;
        toClass: import("@deepkit/type").SerializerCompilers;
        fromClass: import("@deepkit/type").SerializerCompilers;
        toClassSymbol: symbol;
        fromClassSymbol: symbol;
        partialToClassSymbol: symbol;
        partialFromClassSymbol: symbol;
        fork(name: string): import("@deepkit/core").ClassType<import("@deepkit/type").Serializer>;
        for<T extends ClassSchema<any> | import("@deepkit/core").ClassType<any>>(schemaOrType: T): import("@deepkit/type").ScopedSerializer<ClassSchema<import("@deepkit/type").ExtractClassType<T, never>>>;
        serializeProperty(property: PropertySchema, value: any): any;
        deserializeProperty(property: PropertySchema, value: any): any;
        deserializeMethodResult(property: PropertySchema, value: any): any;
    };
    schemaParserType: typeof PostgresSchemaParser;
    placeholderStrategy: typeof PostgresPlaceholderStrategy;
    constructor();
    getAggregateSelect(tableName: string, property: PropertySchema, func: string): string;
    createSqlFilterBuilder(schema: ClassSchema, tableName: string): PostgreSQLFilterBuilder;
    quoteValue(value: any): string;
    protected setColumnType(column: Column, typeProperty: PropertySchema): void;
    getColumnDDL(column: Column): string;
    getUniqueDDL(unique: Index): string;
    getDropIndexDDL(index: Index): string;
    supportsInlineForeignKey(): boolean;
    getAutoIncrement(): string;
    getDropTableDDL(table: Table): string;
    getUseSchemaDDL(table: Table): string;
    getResetSchemaDDL(table: Table): string;
}
